Referral Requests
Batch import referral requests
Import multiple referral requests at once.
Requires the enableStandaloneReferralBooster feature to be enabled.
POST
/
referral-requests
/
batch
Batch import referral requests
curl --request POST \
--url https://www.renovationfind.com/rest-api-v1/referral-requests/batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"referralsToImport": [
{
"firstName": "John",
"lastName": "Doe",
"emailTo": "john@example.com",
"phone": "5551234567"
},
{
"firstName": "Jane",
"lastName": "Smith",
"emailTo": "jane@example.com",
"phone": "5559876543"
}
]
}
'import requests
url = "https://www.renovationfind.com/rest-api-v1/referral-requests/batch"
payload = { "referralsToImport": [
{
"firstName": "John",
"lastName": "Doe",
"emailTo": "john@example.com",
"phone": "5551234567"
},
{
"firstName": "Jane",
"lastName": "Smith",
"emailTo": "jane@example.com",
"phone": "5559876543"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
referralsToImport: [
{
firstName: 'John',
lastName: 'Doe',
emailTo: 'john@example.com',
phone: '5551234567'
},
{
firstName: 'Jane',
lastName: 'Smith',
emailTo: 'jane@example.com',
phone: '5559876543'
}
]
})
};
fetch('https://www.renovationfind.com/rest-api-v1/referral-requests/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>"
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "Rate limit exceeded. Maximum 250 requests per 5 minutes. Please retry later."
}Previous
Check for duplicatesCheck whether a referral request with the given email or phone already exists for this vendor.
At least one of `email` or `phone` must be provided.
Next
⌘I
Batch import referral requests

